Skip to main content

Add meta information

You can add meta information to a candidate using the API.

Note

This feature is only available for clients who have subscribed to the Premium CV Library option.

Request

This method allows you to add additional information to a candidate's profile:

POST /company/{companyID}/search/candidate

Run in Postman

Parameters

ParameterInTypeRequiredDescriptionExample
companyIdpathstring
✔️
Company identifierWy3EOp2NP3p1KMq8
app_namepayloadstringName of the application inserting the data (e.g. if used by a CV parsing application)HRMatch
referencepayloadstring
✔️
email of the candidate to updatejohn.doe@mail.fr
typepayloadstringData typeapplicants
valuepayloadobject
✔️
An object containing the data to add to the candidate profile{"lastname": "Doe"}

Request example

cURL request
curl -X POST https://api.flatchr.io/company/Wy3EOp2NP3p1KMq8/search/applicants
-H "Authorization: Bearer {token}"
-H 'Content-Type: application/json'
-d '{"lastname":"{name}"}'

Response

NameTypeDescription
statuscodestringHTTP status
messagemessageMessage

Response example

{
"statusCode": 200,
"message": {
"resource_type": "attribute",
"action": "created"
}
}